Functions
Configuration functions
Peripheral Driver » LL Driver » PKC » Functions
Collaboration diagram for Configuration functions:

## Functions
__STATIC_INLINE void | ll_pkc_enable (pkc_regs_t *PKCx)
| Enable pkc. More...
__STATIC_INLINE void | ll_pkc_disable (pkc_regs_t *PKCx)
| Disable pkc. More...
__STATIC_INLINE uint32_t | ll_pkc_is_enabled (pkc_regs_t *PKCx)
| Indicate whether the pkc is enabled. More...
__STATIC_INLINE void | ll_pkc_enable_hardware_start (pkc_regs_t *PKCx)
| Enable pkc start in hardware mode. More...
__STATIC_INLINE void | ll_pkc_disable_hardware_start (pkc_regs_t *PKCx)
| Disable pkc start in hardware mode. More...
__STATIC_INLINE uint32_t | ll_pkc_is_enabled_hardware_start (pkc_regs_t *PKCx)
| Indicate whether the pkc start in hardware mode is enabled. More...
__STATIC_INLINE void | ll_pkc_enable_software (pkc_regs_t *PKCx)
| Enable pkc software mode. More...
__STATIC_INLINE void | ll_pkc_disable_software (pkc_regs_t *PKCx)
| Disable pkc software mode. More...
__STATIC_INLINE uint32_t | ll_pkc_is_enabled_software (pkc_regs_t *PKCx)
| Indicate whether the pkc software mode is enabled. More...
__STATIC_INLINE void | ll_pkc_enable_reset (pkc_regs_t *PKCx)
| Enable pkc reset. More...
__STATIC_INLINE void | ll_pkc_disable_reset (pkc_regs_t *PKCx)
| Disable pkc reset. More...
__STATIC_INLINE uint32_t | ll_pkc_is_enabled_reset (pkc_regs_t *PKCx)
| Indicate whether the pkc reset is enabled. More...
__STATIC_INLINE void | ll_pkc_set_k_pointer (pkc_regs_t *PKCx, uint32_t pointer)
| Set PKC parameter k pointer in pkc sram. More...
__STATIC_INLINE uint32_t | ll_pkc_get_k_pointer (pkc_regs_t *PKCx)
| Get PKC parameter k pointer in pkc sram. More...
__STATIC_INLINE void | ll_pkc_set_r_pointer (pkc_regs_t *PKCx, uint32_t pointer)
| Set PKC parameter r pointer in pkc sram. More...
__STATIC_INLINE uint32_t | ll_pkc_get_r_pointer (pkc_regs_t *PKCx)
| Get PKC parameter r pointer in pkc sram. More...
__STATIC_INLINE void | ll_pkc_set_p_pointer (pkc_regs_t *PKCx, uint32_t pointer)
| Set PKC parameter p pointer in pkc sram. More...
__STATIC_INLINE uint32_t | ll_pkc_get_p_pointer (pkc_regs_t *PKCx)
| Get PKC parameter p pointer in pkc sram. More...
__STATIC_INLINE void | ll_pkc_set_rsq_pointer (pkc_regs_t *PKCx, uint32_t pointer)
| Set PKC parameter R^2 pointer in pkc sram. More...
__STATIC_INLINE uint32_t | ll_pkc_get_rsq_pointer (pkc_regs_t *PKCx)
| Get PKC parameter R^2 pointer in pkc sram. More...
__STATIC_INLINE void | ll_pkc_set_gx_pointer (pkc_regs_t *PKCx, uint32_t pointer)
| Set PKC parameter Gx pointer in pkc sram. More...
__STATIC_INLINE uint32_t | ll_pkc_get_gx_pointer (pkc_regs_t *PKCx)
| Get PKC parameter Gx pointer in pkc sram. More...
__STATIC_INLINE void | ll_pkc_set_gy_pointer (pkc_regs_t *PKCx, uint32_t pointer)
| Set PKC parameter Gy pointer in pkc sram. More...
__STATIC_INLINE uint32_t | ll_pkc_get_gy_pointer (pkc_regs_t *PKCx)
| Get PKC parameter Gy pointer in pkc sram. More...
__STATIC_INLINE void | ll_pkc_set_gz_pointer (pkc_regs_t *PKCx, uint32_t pointer)
| Set PKC parameter Gz pointer in pkc sram. More...
__STATIC_INLINE uint32_t | ll_pkc_get_gz_pointer (pkc_regs_t *PKCx)
| Get PKC parameter Gz pointer in pkc sram. More...
__STATIC_INLINE void | ll_pkc_set_r0x_pointer (pkc_regs_t *PKCx, uint32_t pointer)
| Set PKC parameter R0x pointer in pkc sram. More...
__STATIC_INLINE uint32_t | ll_pkc_get_r0x_pointer (pkc_regs_t *PKCx)
| Get PKC parameter R0x pointer in pkc sram. More...
__STATIC_INLINE void | ll_pkc_set_r0y_pointer (pkc_regs_t *PKCx, uint32_t pointer)
| Set PKC parameter R0y pointer in pkc sram. More...
__STATIC_INLINE uint32_t | ll_pkc_get_r0y_pointer (pkc_regs_t *PKCx)
| Get PKC parameter R0y pointer in pkc sram. More...
__STATIC_INLINE void | ll_pkc_set_r0z_pointer (pkc_regs_t *PKCx, uint32_t pointer)
| Set PKC parameter R0z pointer in pkc sram. More...
__STATIC_INLINE uint32_t | ll_pkc_get_r0z_pointer (pkc_regs_t *PKCx)
| Get PKC parameter R0z pointer in pkc sram. More...
__STATIC_INLINE void | ll_pkc_set_r1x_pointer (pkc_regs_t *PKCx, uint32_t pointer)
| Set PKC parameter R1x pointer in pkc sram. More...
__STATIC_INLINE uint32_t | ll_pkc_get_r1x_pointer (pkc_regs_t *PKCx)
| Get PKC parameter R1x pointer in pkc sram. More...
__STATIC_INLINE void | ll_pkc_set_r1y_pointer (pkc_regs_t *PKCx, uint32_t pointer)
| Set PKC parameter R1y pointer in pkc sram. More...
__STATIC_INLINE uint32_t | ll_pkc_get_r1y_pointer (pkc_regs_t *PKCx)
| Get PKC parameter R1y pointer in pkc sram. More...
__STATIC_INLINE void | ll_pkc_set_r1z_pointer (pkc_regs_t *PKCx, uint32_t pointer)
| Set PKC parameter R1z pointer in pkc sram. More...
__STATIC_INLINE uint32_t | ll_pkc_get_r1z_pointer (pkc_regs_t *PKCx)
| Get PKC parameter R1z pointer in pkc sram. More...
__STATIC_INLINE void | ll_pkc_set_tmp1_pointer (pkc_regs_t *PKCx, uint32_t pointer)
| Set PKC parameter Tmp1 pointer in pkc sram. More...
__STATIC_INLINE uint32_t | ll_pkc_get_tmp1_pointer (pkc_regs_t *PKCx)
| Get PKC parameter Tmp1 pointer in pkc sram. More...
__STATIC_INLINE void | ll_pkc_set_tmp2_pointer (pkc_regs_t *PKCx, uint32_t pointer)
| Set PKC parameter Tmp2 pointer in pkc sram. More...
__STATIC_INLINE uint32_t | ll_pkc_get_tmp2_pointer (pkc_regs_t *PKCx)
| Get PKC parameter Tmp2 pointer in pkc sram. More...
__STATIC_INLINE void | ll_pkc_set_tmp3_pointer (pkc_regs_t *PKCx, uint32_t pointer)
| Set PKC parameter Tmp3 pointer in pkc sram. More...
__STATIC_INLINE uint32_t | ll_pkc_get_tmp3_pointer (pkc_regs_t *PKCx)
| Get PKC parameter Tmp3 pointer in pkc sram. More...
__STATIC_INLINE void | ll_pkc_set_tmp4_pointer (pkc_regs_t *PKCx, uint32_t pointer)
| Set PKC parameter Tmp4 pointer in pkc sram. More...
__STATIC_INLINE uint32_t | ll_pkc_get_tmp4_pointer (pkc_regs_t *PKCx)
| Get PKC parameter Tmp4 pointer in pkc sram. More...
__STATIC_INLINE void | ll_pkc_set_tmp5_pointer (pkc_regs_t *PKCx, uint32_t pointer)
| Set PKC parameter Tmp5 pointer in pkc sram. More...
__STATIC_INLINE uint32_t | ll_pkc_get_tmp5_pointer (pkc_regs_t *PKCx)
| Get PKC parameter Tmp5 pointer in pkc sram. More...
__STATIC_INLINE void | ll_pkc_set_tmp6_pointer (pkc_regs_t *PKCx, uint32_t pointer)
| Set PKC parameter Tmp6 pointer in pkc sram. More...
__STATIC_INLINE uint32_t | ll_pkc_get_tmp6_pointer (pkc_regs_t *PKCx)
| Get PKC parameter Tmp6 pointer in pkc sram. More...
__STATIC_INLINE void | ll_pkc_set_constant1_pointer (pkc_regs_t *PKCx, uint32_t pointer)
| Set PKC parameter Constant1 pointer in pkc sram. More...
__STATIC_INLINE uint32_t | ll_pkc_get_constant1_pointer (pkc_regs_t *PKCx)
| Get PKC parameter Constant1 pointer in pkc sram. More...
__STATIC_INLINE void | ll_pkc_set_x1_pointer (pkc_regs_t *PKCx, uint32_t pointer)
| Set PKC parameter X1 pointer in pkc sram. More...
__STATIC_INLINE uint32_t | ll_pkc_get_x1_pointer (pkc_regs_t *PKCx)
| Get PKC parameter X1 pointer in pkc sram. More...
__STATIC_INLINE void | ll_pkc_set_x2_pointer (pkc_regs_t *PKCx, uint32_t pointer)
| Set PKC parameter X2 pointer in pkc sram. More...
__STATIC_INLINE uint32_t | ll_pkc_get_x2_pointer (pkc_regs_t *PKCx)
| Get PKC parameter X2 pointer in pkc sram. More...
__STATIC_INLINE void | ll_pkc_set_mitmp_pointer (pkc_regs_t *PKCx, uint32_t pointer)
| Set PKC parameter MITmp pointer in pkc sram. More...
__STATIC_INLINE uint32_t | ll_pkc_get_mitmp_pointer (pkc_regs_t *PKCx)
| Get PKC parameter MITmp pointer in pkc sram. More...
__STATIC_INLINE void | ll_pkc_set_tmpk_pointer (pkc_regs_t *PKCx, uint32_t pointer)
| Set PKC parameter TmpK pointer in pkc sram. More...
__STATIC_INLINE uint32_t | ll_pkc_get_tmpk_pointer (pkc_regs_t *PKCx)
| Get PKC parameter TmpK pointer in pkc sram. More...
__STATIC_INLINE void | ll_pkc_set_ecc_a_pointer (pkc_regs_t *PKCx, uint32_t pointer)
| Set ECC parameter A pointer in pkc sram. More...
__STATIC_INLINE uint32_t | ll_pkc_get_ecc_a_pointer (pkc_regs_t *PKCx)
| Get ECC parameter A pointer in pkc sram. More...
__STATIC_INLINE void | ll_pkc_set_ecc_b_pointer (pkc_regs_t *PKCx, uint32_t pointer)
| Set ECC parameter B pointer in pkc sram. More...
__STATIC_INLINE uint32_t | ll_pkc_get_ecc_b_pointer (pkc_regs_t *PKCx)
| Get ECC parameter B pointer in pkc sram. More...
__STATIC_INLINE void | ll_pkc_set_constp (pkc_regs_t *PKCx, uint32_t ConstP)
| Set constant value for montgomery multiply in pkc sram. More...
__STATIC_INLINE uint32_t | ll_pkc_get_constp (pkc_regs_t *PKCx)
| Get constant value for montgomery multiply in pkc sram. More...
__STATIC_INLINE void | ll_pkc_enable_software_start (pkc_regs_t *PKCx)
| Enable pkc start in software mode. More...
__STATIC_INLINE void | ll_pkc_disable_software_start (pkc_regs_t *PKCx)
| Disable pkc start in software mode. More...
__STATIC_INLINE uint32_t | ll_pkc_is_enabled_software_start (pkc_regs_t *PKCx)
| Indicate whether the pkc start in software mode is enabled. More...
__STATIC_INLINE void | ll_pkc_set_operation_mode (pkc_regs_t *PKCx, uint32_t operation_mode)
| Set operation mode in software mode. More...
__STATIC_INLINE uint32_t | ll_pkc_get_operation_mode (pkc_regs_t *PKCx)
| Get operation mode in software mode. More...
__STATIC_INLINE void | ll_pkc_enable_dummy_multi (pkc_regs_t *PKCx)
| Enable Dummy Multi in software mode. More...
__STATIC_INLINE void | ll_pkc_disable_dummy_multi (pkc_regs_t *PKCx)
| Disable Dummy Multi in software mode. More...
__STATIC_INLINE uint32_t | ll_pkc_is_enabled_dummy_multi (pkc_regs_t *PKCx)
| Indicate whether the Dummy Multi in software mode is enabled. More...
__STATIC_INLINE void | ll_pkc_enable_random_clock_gating (pkc_regs_t *PKCx)
| Enable Random Clock Gating in software mode. More...
__STATIC_INLINE void | ll_pkc_disable_random_clock_gating (pkc_regs_t *PKCx)
| Disable Random Clock Gating in software mode. More...
__STATIC_INLINE uint32_t | ll_pkc_is_enabled_random_clock_gating (pkc_regs_t *PKCx)
| Indicate whether the Random Clock Gating in software mode is enabled. More...
__STATIC_INLINE void | ll_pkc_set_mm_a_pointer (pkc_regs_t *PKCx, uint32_t pointer)
| Set modular multiplication parameter A pointer in pkc sram. More...
__STATIC_INLINE uint32_t | ll_pkc_get_mm_a_pointer (pkc_regs_t *PKCx)
| Get modular multiplication parameter A pointer in pkc sram. More...
__STATIC_INLINE void | ll_pkc_set_mm_b_pointer (pkc_regs_t *PKCx, uint32_t pointer)
| Set modular multiplication parameter B pointer in pkc sram. More...
__STATIC_INLINE uint32_t | ll_pkc_get_mm_b_pointer (pkc_regs_t *PKCx)
| Get modular multiplication parameter B pointer in pkc sram. More...
__STATIC_INLINE void | ll_pkc_set_mm_p_pointer (pkc_regs_t *PKCx, uint32_t pointer)
| Set modular multiplication parameter P pointer in pkc sram. More...
__STATIC_INLINE uint32_t | ll_pkc_get_mm_p_pointer (pkc_regs_t *PKCx)
| Get modular multiplication parameter P pointer in pkc sram. More...
__STATIC_INLINE void | ll_pkc_set_mm_c_pointer (pkc_regs_t *PKCx, uint32_t pointer)
| Set modular multiplication parameter C pointer in pkc sram. More...
__STATIC_INLINE uint32_t | ll_pkc_get_mm_c_pointer (pkc_regs_t *PKCx)
| Get modular multiplication parameter C pointer in pkc sram. More...
__STATIC_INLINE void | ll_pkc_set_mas_a_pointer (pkc_regs_t *PKCx, uint32_t pointer)
| Set modular add/sub parameter A pointer in pkc sram. More...
__STATIC_INLINE uint32_t | ll_pkc_get_mas_a_pointer (pkc_regs_t *PKCx)
| Get modular add/sub parameter A pointer in pkc sram. More...
__STATIC_INLINE void | ll_pkc_set_mas_b_pointer (pkc_regs_t *PKCx, uint32_t pointer)
| Set modular add/sub parameter B pointer in pkc sram. More...
__STATIC_INLINE uint32_t | ll_pkc_get_mas_b_pointer (pkc_regs_t *PKCx)
| Get modular add/sub parameter B pointer in pkc sram. More...
__STATIC_INLINE void | ll_pkc_set_mas_p_pointer (pkc_regs_t *PKCx, uint32_t pointer)
| Set modular add/sub parameter P pointer in pkc sram. More...
__STATIC_INLINE uint32_t | ll_pkc_get_mas_p_pointer (pkc_regs_t *PKCx)
| Get modular add/sub parameter P pointer in pkc sram. More...
__STATIC_INLINE void | ll_pkc_set_mas_c_pointer (pkc_regs_t *PKCx, uint32_t pointer)
| Set modular add/sub parameter C pointer in pkc sram. More...
__STATIC_INLINE uint32_t | ll_pkc_get_mas_c_pointer (pkc_regs_t *PKCx)
| Get modular add/sub parameter C pointer in pkc sram. More...
__STATIC_INLINE void | ll_pkc_set_mi_u_pointer (pkc_regs_t *PKCx, uint32_t pointer)
| Set modular invertion parameter U pointer in pkc sram. More...
__STATIC_INLINE uint32_t | ll_pkc_get_mi_u_pointer (pkc_regs_t *PKCx)
| Get modular invertion parameter U pointer in pkc sram. More...
__STATIC_INLINE void | ll_pkc_set_mi_v_pointer (pkc_regs_t *PKCx, uint32_t pointer)
| Set modular invertion parameter V pointer in pkc sram. More...
__STATIC_INLINE uint32_t | ll_pkc_get_mi_v_pointer (pkc_regs_t *PKCx)
| Get modular invertion parameter V pointer in pkc sram. More...
__STATIC_INLINE void | ll_pkc_set_mi_x1_pointer (pkc_regs_t *PKCx, uint32_t pointer)
| Set modular invertion parameter X1 pointer in pkc sram. More...
__STATIC_INLINE uint32_t | ll_pkc_get_mi_x1_pointer (pkc_regs_t *PKCx)
| Get modular invertion parameter X1 pointer in pkc sram. More...
__STATIC_INLINE void | ll_pkc_set_mi_x2_pointer (pkc_regs_t *PKCx, uint32_t pointer)
| Set modular invertion parameter X1 pointer in pkc sram. More...
__STATIC_INLINE uint32_t | ll_pkc_get_mi_x2_pointer (pkc_regs_t *PKCx)
| Get modular invertion parameter X1 pointer in pkc sram. More...
__STATIC_INLINE void | ll_pkc_set_swmi_tmp_pointer (pkc_regs_t *PKCx, uint32_t pointer)
| Set modular invertion parameter Tmp pointer in pkc sram. More...
__STATIC_INLINE uint32_t | ll_pkc_get_swmi_tmp_pointer (pkc_regs_t *PKCx)
| Get modular invertion parameter Tmp pointer in pkc sram. More...
__STATIC_INLINE void | ll_pkc_set_operation_word_length (pkc_regs_t *PKCx, uint32_t WordLength)
| Set operation word length-bits. More...
__STATIC_INLINE uint32_t | ll_pkc_get_operation_word_length (pkc_regs_t *PKCx)
| Get operation word length-bits. More...
__STATIC_INLINE uint32_t | ll_pkc_get_mik_output (pkc_regs_t *PKCx)
| Get K output in invertion operation. More...
__STATIC_INLINE void | ll_pkc_set_dummy_multiply_seed (pkc_regs_t *PKCx, uint32_t seed)
| Set dummy multiply seed. More...
__STATIC_INLINE uint32_t | ll_pkc_get_dummy_multiply_seed (pkc_regs_t *PKCx)
| Get dummy multiply seed. More...
__STATIC_INLINE void | ll_pkc_set_bm_a_pointer (pkc_regs_t *PKCx, uint32_t pointer)
| Set big integer operand A pointer in pkc sram. More...
__STATIC_INLINE uint32_t | ll_pkc_get_bm_a_pointer (pkc_regs_t *PKCx)
| Get big integer operand A pointer in pkc sram. More...
__STATIC_INLINE void | ll_pkc_set_bm_b_pointer (pkc_regs_t *PKCx, uint32_t pointer)
| Set big integer operand B pointer in pkc sram. More...
__STATIC_INLINE uint32_t | ll_pkc_get_bm_b_pointer (pkc_regs_t *PKCx)
| Get big integer operand B pointer in pkc sram. More...
__STATIC_INLINE void | ll_pkc_set_bm_c_pointer (pkc_regs_t *PKCx, uint32_t pointer)
| Set big integer result C pointer in pkc sram. More...
__STATIC_INLINE uint32_t | ll_pkc_get_bm_c_pointer (pkc_regs_t *PKCx)
| Get big integer result C pointer in pkc sram. More...
__STATIC_INLINE void | ll_pkc_set_ba_a_pointer (pkc_regs_t *PKCx, uint32_t pointer)
| Set big integer operand A pointer in pkc sram. More...
__STATIC_INLINE uint32_t | ll_pkc_get_ba_a_pointer (pkc_regs_t *PKCx)
| Get big integer operand A pointer in pkc sram. More...
__STATIC_INLINE void | ll_pkc_set_ba_b_pointer (pkc_regs_t *PKCx, uint32_t pointer)
| Set big integer operand B pointer in pkc sram. More...
__STATIC_INLINE uint32_t | ll_pkc_get_ba_b_pointer (pkc_regs_t *PKCx)
| Get big integer operand B pointer in pkc sram. More...
__STATIC_INLINE void | ll_pkc_set_ba_c_pointer (pkc_regs_t *PKCx, uint32_t pointer)
| Set big integer result C pointer in pkc sram. More...
__STATIC_INLINE uint32_t | ll_pkc_get_ba_c_pointer (pkc_regs_t *PKCx)
| Get big integer result C pointer in pkc sram. More...
__STATIC_INLINE void | ll_pkc_set_random_clock_gating_seed (pkc_regs_t *PKCx, uint32_t seed)
| Set random clock gating seed. More...
__STATIC_INLINE uint32_t | ll_pkc_get_random_clock_gating_seed (pkc_regs_t *PKCx)
| Get random clock gating seed. More...

## Detailed Description

## Function Documentation

## ◆ ll_pkc_disable()

__STATIC_INLINE void ll_pkc_disable | ( | pkc_regs_t * | PKCx | ) |

Disable pkc.

Register | BitsName
--- | ---
CTRL | EN

Parameters

  PKCx | PKC instance

Return values

  None |

Definition at line 298 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_disable_dummy_multi()

__STATIC_INLINE void ll_pkc_disable_dummy_multi | ( | pkc_regs_t * | PKCx | ) |

Disable Dummy Multi in software mode.

Register | BitsName
--- | ---
SW_CTRL | DM_EN

Parameters

  PKCx | PKC instance

Return values

  None |

Definition at line 1407 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_disable_hardware_start()

__STATIC_INLINE void ll_pkc_disable_hardware_start | ( | pkc_regs_t * | PKCx | ) |

Disable pkc start in hardware mode.

Register | BitsName
--- | ---
CTRL | START

Parameters

  PKCx | PKC instance

Return values

  None |

Definition at line 343 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_disable_random_clock_gating()

__STATIC_INLINE void ll_pkc_disable_random_clock_gating | ( | pkc_regs_t * | PKCx | ) |

Disable Random Clock Gating in software mode.

Register | BitsName
--- | ---
SW_CTRL | RANDEN

Parameters

  PKCx | PKC instance

Return values

  None |

Definition at line 1452 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_disable_reset()

__STATIC_INLINE void ll_pkc_disable_reset | ( | pkc_regs_t * | PKCx | ) |

Disable pkc reset.

Register | BitsName
--- | ---
CTRL | RST

Parameters

  PKCx | PKC instance

Return values

  None |

Definition at line 433 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_disable_software()

__STATIC_INLINE void ll_pkc_disable_software | ( | pkc_regs_t * | PKCx | ) |

Disable pkc software mode.

Register | BitsName
--- | ---
CTRL | SW_CTRL

Parameters

  PKCx | PKC instance

Return values

  None |

Definition at line 388 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_disable_software_start()

__STATIC_INLINE void ll_pkc_disable_software_start | ( | pkc_regs_t * | PKCx | ) |

Disable pkc start in software mode.

Register | BitsName
--- | ---
SW_CTRL | START

Parameters

  PKCx | PKC instance

Return values

  None |

Definition at line 1315 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_enable()

__STATIC_INLINE void ll_pkc_enable | ( | pkc_regs_t * | PKCx | ) |

Enable pkc.

Register | BitsName
--- | ---
CTRL | EN

Parameters

  PKCx | PKC instance

Return values

  None |

Definition at line 283 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_enable_dummy_multi()

__STATIC_INLINE void ll_pkc_enable_dummy_multi | ( | pkc_regs_t * | PKCx | ) |

Enable Dummy Multi in software mode.

Register | BitsName
--- | ---
SW_CTRL | DM_EN

Parameters

  PKCx | PKC instance

Return values

  None |

Definition at line 1392 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_enable_hardware_start()

__STATIC_INLINE void ll_pkc_enable_hardware_start | ( | pkc_regs_t * | PKCx | ) |

Enable pkc start in hardware mode.

Register | BitsName
--- | ---
CTRL | START

Parameters

  PKCx | PKC instance

Return values

  None |

Definition at line 328 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_enable_random_clock_gating()

__STATIC_INLINE void ll_pkc_enable_random_clock_gating | ( | pkc_regs_t * | PKCx | ) |

Enable Random Clock Gating in software mode.

Register | BitsName
--- | ---
SW_CTRL | RANDEN

Parameters

  PKCx | PKC instance

Return values

  None |

Definition at line 1437 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_enable_reset()

__STATIC_INLINE void ll_pkc_enable_reset | ( | pkc_regs_t * | PKCx | ) |

Enable pkc reset.

Register | BitsName
--- | ---
CTRL | RST

Parameters

  PKCx | PKC instance

Return values

  None |

Definition at line 418 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_enable_software()

__STATIC_INLINE void ll_pkc_enable_software | ( | pkc_regs_t * | PKCx | ) |

Enable pkc software mode.

Register | BitsName
--- | ---
CTRL | SW_CTRL

Parameters

  PKCx | PKC instance

Return values

  None |

Definition at line 373 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_enable_software_start()

__STATIC_INLINE void ll_pkc_enable_software_start | ( | pkc_regs_t * | PKCx | ) |

Enable pkc start in software mode.

Register | BitsName
--- | ---
SW_CTRL | START

Parameters

  PKCx | PKC instance

Return values

  None |

Definition at line 1300 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_get_ba_a_pointer()

__STATIC_INLINE uint32_t ll_pkc_get_ba_a_pointer | ( | pkc_regs_t * | PKCx | ) |

Get big integer operand A pointer in pkc sram.

Register | BitsName
--- | ---
SW_CFG11 | BAA_POINT

Parameters

  PKCx | PKC instance

Return values

  Return | value is between: 0 ~ 0x1FF

Definition at line 2071 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_get_ba_b_pointer()

__STATIC_INLINE uint32_t ll_pkc_get_ba_b_pointer | ( | pkc_regs_t * | PKCx | ) |

Get big integer operand B pointer in pkc sram.

Register | BitsName
--- | ---
SW_CFG12 | BAB_POINT

Parameters

  PKCx | PKC instance

Return values

  Return | value is between: 0 ~ 0x1FF

Definition at line 2102 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_get_ba_c_pointer()

__STATIC_INLINE uint32_t ll_pkc_get_ba_c_pointer | ( | pkc_regs_t * | PKCx | ) |

Get big integer result C pointer in pkc sram.

Register | BitsName
--- | ---
SW_CFG12 | BAC_POINT

Parameters

  PKCx | PKC instance

Return values

  Return | value is between: 0 ~ 0x1FF

Definition at line 2133 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_get_bm_a_pointer()

__STATIC_INLINE uint32_t ll_pkc_get_bm_a_pointer | ( | pkc_regs_t * | PKCx | ) |

Get big integer operand A pointer in pkc sram.

Register | BitsName
--- | ---
SW_CFG10 | BMA_POINT

Parameters

  PKCx | PKC instance

Return values

  Return | value is between: 0 ~ 0x1FF

Definition at line 1978 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_get_bm_b_pointer()

__STATIC_INLINE uint32_t ll_pkc_get_bm_b_pointer | ( | pkc_regs_t * | PKCx | ) |

Get big integer operand B pointer in pkc sram.

Register | BitsName
--- | ---
SW_CFG10 | BMB_POINT

Parameters

  PKCx | PKC instance

Return values

  Return | value is between: 0 ~ 0x1FF

Definition at line 2009 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_get_bm_c_pointer()

__STATIC_INLINE uint32_t ll_pkc_get_bm_c_pointer | ( | pkc_regs_t * | PKCx | ) |

Get big integer result C pointer in pkc sram.

Register | BitsName
--- | ---
SW_CFG11 | BMC_POINT

Parameters

  PKCx | PKC instance

Return values

  Return | value is between: 0 ~ 0x1FF

Definition at line 2040 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_get_constant1_pointer()

__STATIC_INLINE uint32_t ll_pkc_get_constant1_pointer | ( | pkc_regs_t * | PKCx | ) |

Get PKC parameter Constant1 pointer in pkc sram.

Register | BitsName
--- | ---
CFG9 | CONT1_POINT

Parameters

  PKCx | PKC instance

Return values

  Return | value is between: 0 ~ 0x200

Definition at line 1068 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_get_constp()

__STATIC_INLINE uint32_t ll_pkc_get_constp | ( | pkc_regs_t * | PKCx | ) |

Get constant value for montgomery multiply in pkc sram.

Register | BitsName
--- | ---
CFG13 | CONSTP

Parameters

  PKCx | PKC instance

Return values

  Return | value is between: 0 ~ 0x200

Definition at line 1285 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_get_dummy_multiply_seed()

__STATIC_INLINE uint32_t ll_pkc_get_dummy_multiply_seed | ( | pkc_regs_t * | PKCx | ) |

Get dummy multiply seed.

Register | BitsName
--- | ---
SW_CFG9 | DMRNGSEED

Parameters

  PKCx | PKC instance

Return values

  Return | value is between: 0 ~ 0xFFFFFFFF

Definition at line 1947 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_get_ecc_a_pointer()

__STATIC_INLINE uint32_t ll_pkc_get_ecc_a_pointer | ( | pkc_regs_t * | PKCx | ) |

Get ECC parameter A pointer in pkc sram.

Register | BitsName
--- | ---
CFG12 | A_POINT

Parameters

  PKCx | PKC instance

Return values

  Return | value is between: 0 ~ 0x200

Definition at line 1223 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_get_ecc_b_pointer()

__STATIC_INLINE uint32_t ll_pkc_get_ecc_b_pointer | ( | pkc_regs_t * | PKCx | ) |

Get ECC parameter B pointer in pkc sram.

Register | BitsName
--- | ---
CFG12 | B_POINT

Parameters

  PKCx | PKC instance

Return values

  Return | value is between: 0 ~ 0x200

Definition at line 1254 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_get_gx_pointer()

__STATIC_INLINE uint32_t ll_pkc_get_gx_pointer | ( | pkc_regs_t * | PKCx | ) |

Get PKC parameter Gx pointer in pkc sram.

Register | BitsName
--- | ---
CFG2 | GX_POINT

Parameters

  PKCx | PKC instance

Return values

  Return | value is between: 0 ~ 0x200

Definition at line 603 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_get_gy_pointer()

__STATIC_INLINE uint32_t ll_pkc_get_gy_pointer | ( | pkc_regs_t * | PKCx | ) |

Get PKC parameter Gy pointer in pkc sram.

Register | BitsName
--- | ---
CFG2 | GY_POINT

Parameters

  PKCx | PKC instance

Return values

  Return | value is between: 0 ~ 0x200

Definition at line 634 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_get_gz_pointer()

__STATIC_INLINE uint32_t ll_pkc_get_gz_pointer | ( | pkc_regs_t * | PKCx | ) |

Get PKC parameter Gz pointer in pkc sram.

Register | BitsName
--- | ---
CFG3 | GZ_POINT

Parameters

  PKCx | PKC instance

Return values

  Return | value is between: 0 ~ 0x200

Definition at line 665 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_get_k_pointer()

__STATIC_INLINE uint32_t ll_pkc_get_k_pointer | ( | pkc_regs_t * | PKCx | ) |

Get PKC parameter k pointer in pkc sram.

Register | BitsName
--- | ---
CFG0 | K_POINT

Parameters

  PKCx | PKC instance

Return values

  Return | value is between: 0 ~ 0x200

Definition at line 479 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_get_mas_a_pointer()

__STATIC_INLINE uint32_t ll_pkc_get_mas_a_pointer | ( | pkc_regs_t * | PKCx | ) |

Get modular add/sub parameter A pointer in pkc sram.

Register | BitsName
--- | ---
SW_CFG2 | MASA_POINT

Parameters

  PKCx | PKC instance

Return values

  Return | value is between: 0 ~ 0x200

Definition at line 1622 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_get_mas_b_pointer()

__STATIC_INLINE uint32_t ll_pkc_get_mas_b_pointer | ( | pkc_regs_t * | PKCx | ) |

Get modular add/sub parameter B pointer in pkc sram.

Register | BitsName
--- | ---
SW_CFG2 | MASB_POINT

Parameters

  PKCx | PKC instance

Return values

  Return | value is between: 0 ~ 0x200

Definition at line 1653 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_get_mas_c_pointer()

__STATIC_INLINE uint32_t ll_pkc_get_mas_c_pointer | ( | pkc_regs_t * | PKCx | ) |

Get modular add/sub parameter C pointer in pkc sram.

Register | BitsName
--- | ---
SW_CFG3 | MASC_POINT

Parameters

  PKCx | PKC instance

Return values

  Return | value is between: 0 ~ 0x200

Definition at line 1715 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_get_mas_p_pointer()

__STATIC_INLINE uint32_t ll_pkc_get_mas_p_pointer | ( | pkc_regs_t * | PKCx | ) |

Get modular add/sub parameter P pointer in pkc sram.

Register | BitsName
--- | ---
SW_CFG3 | MASP_POINT

Parameters

  PKCx | PKC instance

Return values

  Return | value is between: 0 ~ 0x200

Definition at line 1684 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_get_mi_u_pointer()

__STATIC_INLINE uint32_t ll_pkc_get_mi_u_pointer | ( | pkc_regs_t * | PKCx | ) |

Get modular invertion parameter U pointer in pkc sram.

Register | BitsName
--- | ---
SW_CFG4 | MIU_POINT

Parameters

  PKCx | PKC instance

Return values

  Return | value is between: 0 ~ 0x200

Definition at line 1746 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_get_mi_v_pointer()

__STATIC_INLINE uint32_t ll_pkc_get_mi_v_pointer | ( | pkc_regs_t * | PKCx | ) |

Get modular invertion parameter V pointer in pkc sram.

Register | BitsName
--- | ---
SW_CFG4 | MIV_POINT

Parameters

  PKCx | PKC instance

Return values

  Return | value is between: 0 ~ 0x200

Definition at line 1777 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_get_mi_x1_pointer()

__STATIC_INLINE uint32_t ll_pkc_get_mi_x1_pointer | ( | pkc_regs_t * | PKCx | ) |

Get modular invertion parameter X1 pointer in pkc sram.

Register | BitsName
--- | ---
SW_CFG5 | MIX1_POINT

Parameters

  PKCx | PKC instance

Return values

  Return | value is between: 0 ~ 0x200

Definition at line 1808 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_get_mi_x2_pointer()

__STATIC_INLINE uint32_t ll_pkc_get_mi_x2_pointer | ( | pkc_regs_t * | PKCx | ) |

Get modular invertion parameter X1 pointer in pkc sram.

Register | BitsName
--- | ---
SW_CFG5 | MIX2_POINT

Parameters

  PKCx | PKC instance

Return values

  Return | value is between: 0 ~ 0x200

Definition at line 1839 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_get_mik_output()

__STATIC_INLINE uint32_t ll_pkc_get_mik_output | ( | pkc_regs_t * | PKCx | ) |

Get K output in invertion operation.

Register | BitsName
--- | ---
SW_CFG8 | MIKOUT

Parameters

  PKCx | PKC instance

Return values

  Return | value is between: 0 ~ 0x1FFF

Definition at line 1916 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_get_mitmp_pointer()

__STATIC_INLINE uint32_t ll_pkc_get_mitmp_pointer | ( | pkc_regs_t * | PKCx | ) |

Get PKC parameter MITmp pointer in pkc sram.

Register | BitsName
--- | ---
CFG11 | MIT_POINT

Parameters

  PKCx | PKC instance

Return values

  Return | value is between: 0 ~ 0x200

Definition at line 1161 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_get_mm_a_pointer()

__STATIC_INLINE uint32_t ll_pkc_get_mm_a_pointer | ( | pkc_regs_t * | PKCx | ) |

Get modular multiplication parameter A pointer in pkc sram.

Register | BitsName
--- | ---
SW_CFG0 | MMA_POINT

Parameters

  PKCx | PKC instance

Return values

  Return | value is between: 0 ~ 0x200

Definition at line 1498 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_get_mm_b_pointer()

__STATIC_INLINE uint32_t ll_pkc_get_mm_b_pointer | ( | pkc_regs_t * | PKCx | ) |

Get modular multiplication parameter B pointer in pkc sram.

Register | BitsName
--- | ---
SW_CFG0 | MMB_POINT

Parameters

  PKCx | PKC instance

Return values

  Return | value is between: 0 ~ 0x200

Definition at line 1529 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_get_mm_c_pointer()

__STATIC_INLINE uint32_t ll_pkc_get_mm_c_pointer | ( | pkc_regs_t * | PKCx | ) |

Get modular multiplication parameter C pointer in pkc sram.

Register | BitsName
--- | ---
SW_CFG1 | MMC_POINT

Parameters

  PKCx | PKC instance

Return values

  Return | value is between: 0 ~ 0x200

Definition at line 1591 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_get_mm_p_pointer()

__STATIC_INLINE uint32_t ll_pkc_get_mm_p_pointer | ( | pkc_regs_t * | PKCx | ) |

Get modular multiplication parameter P pointer in pkc sram.

Register | BitsName
--- | ---
SW_CFG1 | MMP_POINT

Parameters

  PKCx | PKC instance

Return values

  Return | value is between: 0 ~ 0x200

Definition at line 1560 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_get_operation_mode()

__STATIC_INLINE uint32_t ll_pkc_get_operation_mode | ( | pkc_regs_t * | PKCx | ) |

Get operation mode in software mode.

Register | BitsName
--- | ---
SW_CTRL | MODE

Parameters

  PKCx | PKC instance

Return values

  Return | value can be one of the following values: LL_PKC_operation_mode_MULTIPLY LL_PKC_operation_mode_INVERTION LL_PKC_operation_mode_ADD LL_PKC_operation_mode_SUB LL_PKC_operation_mode_COMPARE LL_PKC_operation_mode_LEFTSHIFT LL_PKC_operation_mode_BIGINTEGERMULTIPLY LL_PKC_operation_mode_BIGINTEGERADD

Definition at line 1377 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_get_operation_word_length()

__STATIC_INLINE uint32_t ll_pkc_get_operation_word_length | ( | pkc_regs_t * | PKCx | ) |

Get operation word length-bits.

Register | BitsName
--- | ---
SW_CFG7 | WORDLEN

Parameters

  PKCx | PKC instance

Return values

  Return | value is between: 256 ~ 2048

Definition at line 1901 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_get_p_pointer()

__STATIC_INLINE uint32_t ll_pkc_get_p_pointer | ( | pkc_regs_t * | PKCx | ) |

Get PKC parameter p pointer in pkc sram.

Register | BitsName
--- | ---
CFG1 | P_POINT

Parameters

  PKCx | PKC instance

Return values

  Return | value is between: 0 ~ 0x200

Definition at line 541 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_get_r0x_pointer()

__STATIC_INLINE uint32_t ll_pkc_get_r0x_pointer | ( | pkc_regs_t * | PKCx | ) |

Get PKC parameter R0x pointer in pkc sram.

Register | BitsName
--- | ---
CFG3 | R0X_POINT

Parameters

  PKCx | PKC instance

Return values

  Return | value is between: 0 ~ 0x200

Definition at line 696 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_get_r0y_pointer()

__STATIC_INLINE uint32_t ll_pkc_get_r0y_pointer | ( | pkc_regs_t * | PKCx | ) |

Get PKC parameter R0y pointer in pkc sram.

Register | BitsName
--- | ---
CFG4 | R0Y_POINT

Parameters

  PKCx | PKC instance

Return values

  Return | value is between: 0 ~ 0x200

Definition at line 727 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_get_r0z_pointer()

__STATIC_INLINE uint32_t ll_pkc_get_r0z_pointer | ( | pkc_regs_t * | PKCx | ) |

Get PKC parameter R0z pointer in pkc sram.

Register | BitsName
--- | ---
CFG4 | R0Z_POINT

Parameters

  PKCx | PKC instance

Return values

  Return | value is between: 0 ~ 0x200

Definition at line 758 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_get_r1x_pointer()

__STATIC_INLINE uint32_t ll_pkc_get_r1x_pointer | ( | pkc_regs_t * | PKCx | ) |

Get PKC parameter R1x pointer in pkc sram.

Register | BitsName
--- | ---
CFG5 | R1X_POINT

Parameters

  PKCx | PKC instance

Return values

  Return | value is between: 0 ~ 0x200

Definition at line 789 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_get_r1y_pointer()

__STATIC_INLINE uint32_t ll_pkc_get_r1y_pointer | ( | pkc_regs_t * | PKCx | ) |

Get PKC parameter R1y pointer in pkc sram.

Register | BitsName
--- | ---
CFG5 | R1Y_POINT

Parameters

  PKCx | PKC instance

Return values

  Return | value is between: 0 ~ 0x200

Definition at line 820 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_get_r1z_pointer()

__STATIC_INLINE uint32_t ll_pkc_get_r1z_pointer | ( | pkc_regs_t * | PKCx | ) |

Get PKC parameter R1z pointer in pkc sram.

Register | BitsName
--- | ---
CFG6 | R1Z_POINT

Parameters

  PKCx | PKC instance

Return values

  Return | value is between: 0 ~ 0x200

Definition at line 851 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_get_r_pointer()

__STATIC_INLINE uint32_t ll_pkc_get_r_pointer | ( | pkc_regs_t * | PKCx | ) |

Get PKC parameter r pointer in pkc sram.

Register | BitsName
--- | ---
CFG0 | R_POINT

Parameters

  PKCx | PKC instance

Return values

  Return | value is between: 0 ~ 0x200

Definition at line 510 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_get_random_clock_gating_seed()

__STATIC_INLINE uint32_t ll_pkc_get_random_clock_gating_seed | ( | pkc_regs_t * | PKCx | ) |

Get random clock gating seed.

Register | BitsName
--- | ---
SW_CFG13 | RANDSEED

Parameters

  PKCx | PKC instance

Return values

  Return | value is between: 0 ~ 0xFFFFFFFF

Definition at line 2164 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_get_rsq_pointer()

__STATIC_INLINE uint32_t ll_pkc_get_rsq_pointer | ( | pkc_regs_t * | PKCx | ) |

Get PKC parameter R^2 pointer in pkc sram.

Register | BitsName
--- | ---
CFG1 | R2_POINT

Parameters

  PKCx | PKC instance

Return values

  Return | value is between: 0 ~ 0x200

Definition at line 572 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_get_swmi_tmp_pointer()

__STATIC_INLINE uint32_t ll_pkc_get_swmi_tmp_pointer | ( | pkc_regs_t * | PKCx | ) |

Get modular invertion parameter Tmp pointer in pkc sram.

Register | BitsName
--- | ---
SW_CFG6 | MIT_POINT

Parameters

  PKCx | PKC instance

Return values

  Return | value is between: 0 ~ 0x200

Definition at line 1870 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_get_tmp1_pointer()

__STATIC_INLINE uint32_t ll_pkc_get_tmp1_pointer | ( | pkc_regs_t * | PKCx | ) |

Get PKC parameter Tmp1 pointer in pkc sram.

Register | BitsName
--- | ---
CFG6 | TEMP1_POINT

Parameters

  PKCx | PKC instance

Return values

  Return | value is between: 0 ~ 0x200

Definition at line 882 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_get_tmp2_pointer()

__STATIC_INLINE uint32_t ll_pkc_get_tmp2_pointer | ( | pkc_regs_t * | PKCx | ) |

Get PKC parameter Tmp2 pointer in pkc sram.

Register | BitsName
--- | ---
CFG7 | TEMP2_POINT

Parameters

  PKCx | PKC instance

Return values

  Return | value is between: 0 ~ 0x200

Definition at line 913 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_get_tmp3_pointer()

__STATIC_INLINE uint32_t ll_pkc_get_tmp3_pointer | ( | pkc_regs_t * | PKCx | ) |

Get PKC parameter Tmp3 pointer in pkc sram.

Register | BitsName
--- | ---
CFG7 | TEMP3_POINT

Parameters

  PKCx | PKC instance

Return values

  Return | value is between: 0 ~ 0x200

Definition at line 944 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_get_tmp4_pointer()

__STATIC_INLINE uint32_t ll_pkc_get_tmp4_pointer | ( | pkc_regs_t * | PKCx | ) |

Get PKC parameter Tmp4 pointer in pkc sram.

Register | BitsName
--- | ---
CFG8 | TEMP4_POINT

Parameters

  PKCx | PKC instance

Return values

  Return | value is between: 0 ~ 0x200

Definition at line 975 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_get_tmp5_pointer()

__STATIC_INLINE uint32_t ll_pkc_get_tmp5_pointer | ( | pkc_regs_t * | PKCx | ) |

Get PKC parameter Tmp5 pointer in pkc sram.

Register | BitsName
--- | ---
CFG8 | TEMP5_POINT

Parameters

  PKCx | PKC instance

Return values

  Return | value is between: 0 ~ 0x200

Definition at line 1006 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_get_tmp6_pointer()

__STATIC_INLINE uint32_t ll_pkc_get_tmp6_pointer | ( | pkc_regs_t * | PKCx | ) |

Get PKC parameter Tmp6 pointer in pkc sram.

Register | BitsName
--- | ---
CFG9 | TEMP6_POINT

Parameters

  PKCx | PKC instance

Return values

  Return | value is between: 0 ~ 0x200

Definition at line 1037 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_get_tmpk_pointer()

__STATIC_INLINE uint32_t ll_pkc_get_tmpk_pointer | ( | pkc_regs_t * | PKCx | ) |

Get PKC parameter TmpK pointer in pkc sram.

Register | BitsName
--- | ---
CFG11 | KT_POINT

Parameters

  PKCx | PKC instance

Return values

  Return | value is between: 0 ~ 0x200

Definition at line 1192 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_get_x1_pointer()

__STATIC_INLINE uint32_t ll_pkc_get_x1_pointer | ( | pkc_regs_t * | PKCx | ) |

Get PKC parameter X1 pointer in pkc sram.

Register | BitsName
--- | ---
CFG10 | X1_POINT

Parameters

  PKCx | PKC instance

Return values

  Return | value is between: 0 ~ 0x200

Definition at line 1099 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_get_x2_pointer()

__STATIC_INLINE uint32_t ll_pkc_get_x2_pointer | ( | pkc_regs_t * | PKCx | ) |

Get PKC parameter X2 pointer in pkc sram.

Register | BitsName
--- | ---
CFG10 | X2_POINT

Parameters

  PKCx | PKC instance

Return values

  Return | value is between: 0 ~ 0x200

Definition at line 1130 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_is_enabled()

__STATIC_INLINE uint32_t ll_pkc_is_enabled | ( | pkc_regs_t * | PKCx | ) |

Indicate whether the pkc is enabled.

Register | BitsName
--- | ---
CTRL | EN

Parameters

  PKCx | PKC instance

Return values

  State | of bit (1 or 0).

Definition at line 313 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_is_enabled_dummy_multi()

__STATIC_INLINE uint32_t ll_pkc_is_enabled_dummy_multi | ( | pkc_regs_t * | PKCx | ) |

Indicate whether the Dummy Multi in software mode is enabled.

Register | BitsName
--- | ---
SW_CTRL | DM_EN

Parameters

  PKCx | PKC instance

Return values

  State | of bit (1 or 0).

Definition at line 1422 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_is_enabled_hardware_start()

__STATIC_INLINE uint32_t ll_pkc_is_enabled_hardware_start | ( | pkc_regs_t * | PKCx | ) |

Indicate whether the pkc start in hardware mode is enabled.

Register | BitsName
--- | ---
CTRL | START

Parameters

  PKCx | PKC instance

Return values

  State | of bit (1 or 0).

Definition at line 358 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_is_enabled_random_clock_gating()

__STATIC_INLINE uint32_t ll_pkc_is_enabled_random_clock_gating | ( | pkc_regs_t * | PKCx | ) |

Indicate whether the Random Clock Gating in software mode is enabled.

Register | BitsName
--- | ---
SW_CTRL | RANDEN

Parameters

  PKCx | PKC instance

Return values

  State | of bit (1 or 0).

Definition at line 1467 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_is_enabled_reset()

__STATIC_INLINE uint32_t ll_pkc_is_enabled_reset | ( | pkc_regs_t * | PKCx | ) |

Indicate whether the pkc reset is enabled.

Register | BitsName
--- | ---
CTRL | RST

Parameters

  PKCx | PKC instance

Return values

  State | of bit (1 or 0).

Definition at line 448 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_is_enabled_software()

__STATIC_INLINE uint32_t ll_pkc_is_enabled_software | ( | pkc_regs_t * | PKCx | ) |

Indicate whether the pkc software mode is enabled.

Register | BitsName
--- | ---
CTRL | SW_CTRL

Parameters

  PKCx | PKC instance

Return values

  State | of bit (1 or 0).

Definition at line 403 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_is_enabled_software_start()

__STATIC_INLINE uint32_t ll_pkc_is_enabled_software_start | ( | pkc_regs_t * | PKCx | ) |

Indicate whether the pkc start in software mode is enabled.

Register | BitsName
--- | ---
SW_CTRL | START

Parameters

  PKCx | PKC instance

Return values

  State | of bit (1 or 0).

Definition at line 1330 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_set_ba_a_pointer()

__STATIC_INLINE void ll_pkc_set_ba_a_pointer | ( | pkc_regs_t * | PKCx,
|  | uint32_t | pointer
| ) |  |

Set big integer operand A pointer in pkc sram.

Register | BitsName
--- | ---
SW_CFG11 | BAA_POINT

Parameters

  PKCx | PKC instance
  pointer | This parameter can be one of the following values: 0 ~ 0x1FF

Return values

  None |

Definition at line 2056 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_set_ba_b_pointer()

__STATIC_INLINE void ll_pkc_set_ba_b_pointer | ( | pkc_regs_t * | PKCx,
|  | uint32_t | pointer
| ) |  |

Set big integer operand B pointer in pkc sram.

Register | BitsName
--- | ---
SW_CFG12 | BAB_POINT

Parameters

  PKCx | PKC instance
  pointer | This parameter can be one of the following values: 0 ~ 0x1FF

Return values

  None |

Definition at line 2087 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_set_ba_c_pointer()

__STATIC_INLINE void ll_pkc_set_ba_c_pointer | ( | pkc_regs_t * | PKCx,
|  | uint32_t | pointer
| ) |  |

Set big integer result C pointer in pkc sram.

Register | BitsName
--- | ---
SW_CFG12 | BAC_POINT

Parameters

  PKCx | PKC instance
  pointer | This parameter can be one of the following values: 0 ~ 0x1FF

Return values

  None |

Definition at line 2118 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_set_bm_a_pointer()

__STATIC_INLINE void ll_pkc_set_bm_a_pointer | ( | pkc_regs_t * | PKCx,
|  | uint32_t | pointer
| ) |  |

Set big integer operand A pointer in pkc sram.

Register | BitsName
--- | ---
SW_CFG10 | BMA_POINT

Parameters

  PKCx | PKC instance
  pointer | This parameter can be one of the following values: 0 ~ 0x1FF

Return values

  None |

Definition at line 1963 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_set_bm_b_pointer()

__STATIC_INLINE void ll_pkc_set_bm_b_pointer | ( | pkc_regs_t * | PKCx,
|  | uint32_t | pointer
| ) |  |

Set big integer operand B pointer in pkc sram.

Register | BitsName
--- | ---
SW_CFG10 | BMB_POINT

Parameters

  PKCx | PKC instance
  pointer | This parameter can be one of the following values: 0 ~ 0x1FF

Return values

  None |

Definition at line 1994 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_set_bm_c_pointer()

__STATIC_INLINE void ll_pkc_set_bm_c_pointer | ( | pkc_regs_t * | PKCx,
|  | uint32_t | pointer
| ) |  |

Set big integer result C pointer in pkc sram.

Register | BitsName
--- | ---
SW_CFG11 | BMC_POINT

Parameters

  PKCx | PKC instance
  pointer | This parameter can be one of the following values: 0 ~ 0x1FF

Return values

  None |

Definition at line 2025 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_set_constant1_pointer()

__STATIC_INLINE void ll_pkc_set_constant1_pointer | ( | pkc_regs_t * | PKCx,
|  | uint32_t | pointer
| ) |  |

Set PKC parameter Constant1 pointer in pkc sram.

Register | BitsName
--- | ---
CFG9 | CONT1_POINT

Parameters

  PKCx | PKC instance
  pointer | This parameter is the offset in pkc sram, and the value can between: 0 ~ 0x200

Return values

  None |

Definition at line 1053 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_set_constp()

__STATIC_INLINE void ll_pkc_set_constp | ( | pkc_regs_t * | PKCx,
|  | uint32_t | ConstP
| ) |  |

Set constant value for montgomery multiply in pkc sram.

Register | BitsName
--- | ---
CFG13 | CONSTP

Parameters

  PKCx | PKC instance
  ConstP | This parameter is the offset in pkc sram, and the value can between: 0 ~ 0x200

Return values

  None |

Definition at line 1270 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_set_dummy_multiply_seed()

__STATIC_INLINE void ll_pkc_set_dummy_multiply_seed | ( | pkc_regs_t * | PKCx,
|  | uint32_t | seed
| ) |  |

Set dummy multiply seed.

Register | BitsName
--- | ---
SW_CFG9 | DMRNGSEED

Parameters

  PKCx | PKC instance
  seed | This parameter can be one of the following values: 0 ~ 0xFFFFFFFF

Return values

  None |

Definition at line 1932 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_set_ecc_a_pointer()

__STATIC_INLINE void ll_pkc_set_ecc_a_pointer | ( | pkc_regs_t * | PKCx,
|  | uint32_t | pointer
| ) |  |

Set ECC parameter A pointer in pkc sram.

Register | BitsName
--- | ---
CFG12 | A_POINT

Parameters

  PKCx | PKC instance
  pointer | This parameter is the offset in pkc sram, and the value can between: 0 ~ 0x200

Return values

  None |

Definition at line 1208 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_set_ecc_b_pointer()

__STATIC_INLINE void ll_pkc_set_ecc_b_pointer | ( | pkc_regs_t * | PKCx,
|  | uint32_t | pointer
| ) |  |

Set ECC parameter B pointer in pkc sram.

Register | BitsName
--- | ---
CFG12 | B_POINT

Parameters

  PKCx | PKC instance
  pointer | This parameter is the offset in pkc sram, and the value can between: 0 ~ 0x200

Return values

  None |

Definition at line 1239 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_set_gx_pointer()

__STATIC_INLINE void ll_pkc_set_gx_pointer | ( | pkc_regs_t * | PKCx,
|  | uint32_t | pointer
| ) |  |

Set PKC parameter Gx pointer in pkc sram.

Register | BitsName
--- | ---
CFG2 | GX_POINT

Parameters

  PKCx | PKC instance
  pointer | This parameter is the offset in pkc sram, and the value can between: 0 ~ 0x200

Return values

  None |

Definition at line 588 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_set_gy_pointer()

__STATIC_INLINE void ll_pkc_set_gy_pointer | ( | pkc_regs_t * | PKCx,
|  | uint32_t | pointer
| ) |  |

Set PKC parameter Gy pointer in pkc sram.

Register | BitsName
--- | ---
CFG2 | GY_POINT

Parameters

  PKCx | PKC instance
  pointer | This parameter is the offset in pkc sram, and the value can between: 0 ~ 0x200

Return values

  None |

Definition at line 619 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_set_gz_pointer()

__STATIC_INLINE void ll_pkc_set_gz_pointer | ( | pkc_regs_t * | PKCx,
|  | uint32_t | pointer
| ) |  |

Set PKC parameter Gz pointer in pkc sram.

Register | BitsName
--- | ---
CFG3 | GZ_POINT

Parameters

  PKCx | PKC instance
  pointer | This parameter is the offset in pkc sram, and the value can between: 0 ~ 0x200

Return values

  None |

Definition at line 650 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_set_k_pointer()

__STATIC_INLINE void ll_pkc_set_k_pointer | ( | pkc_regs_t * | PKCx,
|  | uint32_t | pointer
| ) |  |

Set PKC parameter k pointer in pkc sram.

Register | BitsName
--- | ---
CFG0 | K_POINT

Parameters

  PKCx | PKC instance
  pointer | This parameter is the offset in pkc sram, and the value can between: 0 ~ 0x200

Return values

  None |

Definition at line 464 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_set_mas_a_pointer()

__STATIC_INLINE void ll_pkc_set_mas_a_pointer | ( | pkc_regs_t * | PKCx,
|  | uint32_t | pointer
| ) |  |

Set modular add/sub parameter A pointer in pkc sram.

Register | BitsName
--- | ---
SW_CFG2 | MASA_POINT

Parameters

  PKCx | PKC instance
  pointer | This parameter is the offset in pkc sram, and the value can between: 0 ~ 0x200

Return values

  None |

Definition at line 1607 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_set_mas_b_pointer()

__STATIC_INLINE void ll_pkc_set_mas_b_pointer | ( | pkc_regs_t * | PKCx,
|  | uint32_t | pointer
| ) |  |

Set modular add/sub parameter B pointer in pkc sram.

Register | BitsName
--- | ---
SW_CFG2 | MASB_POINT

Parameters

  PKCx | PKC instance
  pointer | This parameter is the offset in pkc sram, and the value can between: 0 ~ 0x200

Return values

  None |

Definition at line 1638 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_set_mas_c_pointer()

__STATIC_INLINE void ll_pkc_set_mas_c_pointer | ( | pkc_regs_t * | PKCx,
|  | uint32_t | pointer
| ) |  |

Set modular add/sub parameter C pointer in pkc sram.

Register | BitsName
--- | ---
SW_CFG3 | MASC_POINT

Parameters

  PKCx | PKC instance
  pointer | This parameter is the offset in pkc sram, and the value can between: 0 ~ 0x200

Return values

  None |

Definition at line 1700 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_set_mas_p_pointer()

__STATIC_INLINE void ll_pkc_set_mas_p_pointer | ( | pkc_regs_t * | PKCx,
|  | uint32_t | pointer
| ) |  |

Set modular add/sub parameter P pointer in pkc sram.

Register | BitsName
--- | ---
SW_CFG3 | MASP_POINT

Parameters

  PKCx | PKC instance
  pointer | This parameter is the offset in pkc sram, and the value can between: 0 ~ 0x200

Return values

  None |

Definition at line 1669 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_set_mi_u_pointer()

__STATIC_INLINE void ll_pkc_set_mi_u_pointer | ( | pkc_regs_t * | PKCx,
|  | uint32_t | pointer
| ) |  |

Set modular invertion parameter U pointer in pkc sram.

Register | BitsName
--- | ---
SW_CFG4 | MIU_POINT

Parameters

  PKCx | PKC instance
  pointer | This parameter is the offset in pkc sram, and the value can between: 0 ~ 0x200

Return values

  None |

Definition at line 1731 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_set_mi_v_pointer()

__STATIC_INLINE void ll_pkc_set_mi_v_pointer | ( | pkc_regs_t * | PKCx,
|  | uint32_t | pointer
| ) |  |

Set modular invertion parameter V pointer in pkc sram.

Register | BitsName
--- | ---
SW_CFG4 | MIV_POINT

Parameters

  PKCx | PKC instance
  pointer | This parameter is the offset in pkc sram, and the value can between: 0 ~ 0x200

Return values

  None |

Definition at line 1762 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_set_mi_x1_pointer()

__STATIC_INLINE void ll_pkc_set_mi_x1_pointer | ( | pkc_regs_t * | PKCx,
|  | uint32_t | pointer
| ) |  |

Set modular invertion parameter X1 pointer in pkc sram.

Register | BitsName
--- | ---
SW_CFG5 | MIX1_POINT

Parameters

  PKCx | PKC instance
  pointer | This parameter is the offset in pkc sram, and the value can between: 0 ~ 0x200

Return values

  None |

Definition at line 1793 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_set_mi_x2_pointer()

__STATIC_INLINE void ll_pkc_set_mi_x2_pointer | ( | pkc_regs_t * | PKCx,
|  | uint32_t | pointer
| ) |  |

Set modular invertion parameter X1 pointer in pkc sram.

Register | BitsName
--- | ---
SW_CFG5 | MIX2_POINT

Parameters

  PKCx | PKC instance
  pointer | This parameter is the offset in pkc sram, and the value can between: 0 ~ 0x200

Return values

  None |

Definition at line 1824 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_set_mitmp_pointer()

__STATIC_INLINE void ll_pkc_set_mitmp_pointer | ( | pkc_regs_t * | PKCx,
|  | uint32_t | pointer
| ) |  |

Set PKC parameter MITmp pointer in pkc sram.

Register | BitsName
--- | ---
CFG11 | MIT_POINT

Parameters

  PKCx | PKC instance
  pointer | This parameter is the offset in pkc sram, and the value can between: 0 ~ 0x200

Return values

  None |

Definition at line 1146 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_set_mm_a_pointer()

__STATIC_INLINE void ll_pkc_set_mm_a_pointer | ( | pkc_regs_t * | PKCx,
|  | uint32_t | pointer
| ) |  |

Set modular multiplication parameter A pointer in pkc sram.

Register | BitsName
--- | ---
SW_CFG0 | MMA_POINT

Parameters

  PKCx | PKC instance
  pointer | This parameter is the offset in pkc sram, and the value can between: 0 ~ 0x200

Return values

  None |

Definition at line 1483 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_set_mm_b_pointer()

__STATIC_INLINE void ll_pkc_set_mm_b_pointer | ( | pkc_regs_t * | PKCx,
|  | uint32_t | pointer
| ) |  |

Set modular multiplication parameter B pointer in pkc sram.

Register | BitsName
--- | ---
SW_CFG0 | MMB_POINT

Parameters

  PKCx | PKC instance
  pointer | This parameter is the offset in pkc sram, and the value can between: 0 ~ 0x200

Return values

  None |

Definition at line 1514 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_set_mm_c_pointer()

__STATIC_INLINE void ll_pkc_set_mm_c_pointer | ( | pkc_regs_t * | PKCx,
|  | uint32_t | pointer
| ) |  |

Set modular multiplication parameter C pointer in pkc sram.

Register | BitsName
--- | ---
SW_CFG1 | MMC_POINT

Parameters

  PKCx | PKC instance
  pointer | This parameter is the offset in pkc sram, and the value can between: 0 ~ 0x200

Return values

  None |

Definition at line 1576 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_set_mm_p_pointer()

__STATIC_INLINE void ll_pkc_set_mm_p_pointer | ( | pkc_regs_t * | PKCx,
|  | uint32_t | pointer
| ) |  |

Set modular multiplication parameter P pointer in pkc sram.

Register | BitsName
--- | ---
SW_CFG1 | MMP_POINT

Parameters

  PKCx | PKC instance
  pointer | This parameter is the offset in pkc sram, and the value can between: 0 ~ 0x200

Return values

  None |

Definition at line 1545 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_set_operation_mode()

__STATIC_INLINE void ll_pkc_set_operation_mode | ( | pkc_regs_t * | PKCx,
|  | uint32_t | operation_mode
| ) |  |

Set operation mode in software mode.

Register | BitsName
--- | ---
SW_CTRL | MODE

Parameters

  PKCx | PKC instance
  operation_mode | This parameter can be one of the following values: LL_PKC_operation_mode_MULTIPLY LL_PKC_operation_mode_INVERTION LL_PKC_operation_mode_ADD LL_PKC_operation_mode_SUB LL_PKC_operation_mode_COMPARE LL_PKC_operation_mode_LEFTSHIFT LL_PKC_operation_mode_BIGINTEGERMULTIPLY LL_PKC_operation_mode_BIGINTEGERADD

Return values

  None |

Definition at line 1354 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_set_operation_word_length()

__STATIC_INLINE void ll_pkc_set_operation_word_length | ( | pkc_regs_t * | PKCx,
|  | uint32_t | WordLength
| ) |  |

Set operation word length-bits.

Register | BitsName
--- | ---
SW_CFG7 | WORDLEN

Parameters

  PKCx | PKC instance
  WordLength | This parameter can be one of the following values: 256 ~ 2048

Return values

  None |

Definition at line 1886 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_set_p_pointer()

__STATIC_INLINE void ll_pkc_set_p_pointer | ( | pkc_regs_t * | PKCx,
|  | uint32_t | pointer
| ) |  |

Set PKC parameter p pointer in pkc sram.

Register | BitsName
--- | ---
CFG1 | P_POINT

Parameters

  PKCx | PKC instance
  pointer | This parameter is the offset in pkc sram, and the value can between: 0 ~ 0x200

Return values

  None |

Definition at line 526 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_set_r0x_pointer()

__STATIC_INLINE void ll_pkc_set_r0x_pointer | ( | pkc_regs_t * | PKCx,
|  | uint32_t | pointer
| ) |  |

Set PKC parameter R0x pointer in pkc sram.

Register | BitsName
--- | ---
CFG3 | R0X_POINT

Parameters

  PKCx | PKC instance
  pointer | This parameter is the offset in pkc sram, and the value can between: 0 ~ 0x200

Return values

  None |

Definition at line 681 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_set_r0y_pointer()

__STATIC_INLINE void ll_pkc_set_r0y_pointer | ( | pkc_regs_t * | PKCx,
|  | uint32_t | pointer
| ) |  |

Set PKC parameter R0y pointer in pkc sram.

Register | BitsName
--- | ---
CFG4 | R0Y_POINT

Parameters

  PKCx | PKC instance
  pointer | This parameter is the offset in pkc sram, and the value can between: 0 ~ 0x200

Return values

  None |

Definition at line 712 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_set_r0z_pointer()

__STATIC_INLINE void ll_pkc_set_r0z_pointer | ( | pkc_regs_t * | PKCx,
|  | uint32_t | pointer
| ) |  |

Set PKC parameter R0z pointer in pkc sram.

Register | BitsName
--- | ---
CFG4 | R0Z_POINT

Parameters

  PKCx | PKC instance
  pointer | This parameter is the offset in pkc sram, and the value can between: 0 ~ 0x200

Return values

  None |

Definition at line 743 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_set_r1x_pointer()

__STATIC_INLINE void ll_pkc_set_r1x_pointer | ( | pkc_regs_t * | PKCx,
|  | uint32_t | pointer
| ) |  |

Set PKC parameter R1x pointer in pkc sram.

Register | BitsName
--- | ---
CFG5 | R1X_POINT

Parameters

  PKCx | PKC instance
  pointer | This parameter is the offset in pkc sram, and the value can between: 0 ~ 0x200

Return values

  None |

Definition at line 774 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_set_r1y_pointer()

__STATIC_INLINE void ll_pkc_set_r1y_pointer | ( | pkc_regs_t * | PKCx,
|  | uint32_t | pointer
| ) |  |

Set PKC parameter R1y pointer in pkc sram.

Register | BitsName
--- | ---
CFG5 | R1Y_POINT

Parameters

  PKCx | PKC instance
  pointer | This parameter is the offset in pkc sram, and the value can between: 0 ~ 0x200

Return values

  None |

Definition at line 805 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_set_r1z_pointer()

__STATIC_INLINE void ll_pkc_set_r1z_pointer | ( | pkc_regs_t * | PKCx,
|  | uint32_t | pointer
| ) |  |

Set PKC parameter R1z pointer in pkc sram.

Register | BitsName
--- | ---
CFG6 | R1Z_POINT

Parameters

  PKCx | PKC instance
  pointer | This parameter is the offset in pkc sram, and the value can between: 0 ~ 0x200

Return values

  None |

Definition at line 836 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_set_r_pointer()

__STATIC_INLINE void ll_pkc_set_r_pointer | ( | pkc_regs_t * | PKCx,
|  | uint32_t | pointer
| ) |  |

Set PKC parameter r pointer in pkc sram.

Register | BitsName
--- | ---
CFG0 | R_POINT

Parameters

  PKCx | PKC instance
  pointer | This parameter is the offset in pkc sram, and the value can between: 0 ~ 0x200

Return values

  None |

Definition at line 495 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_set_random_clock_gating_seed()

__STATIC_INLINE void ll_pkc_set_random_clock_gating_seed | ( | pkc_regs_t * | PKCx,
|  | uint32_t | seed
| ) |  |

Set random clock gating seed.

Register | BitsName
--- | ---
SW_CFG13 | RANDSEED

Parameters

  PKCx | PKC instance
  seed | This parameter can be one of the following values: 0 ~ 0xFFFFFFFF

Return values

  None |

Definition at line 2149 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_set_rsq_pointer()

__STATIC_INLINE void ll_pkc_set_rsq_pointer | ( | pkc_regs_t * | PKCx,
|  | uint32_t | pointer
| ) |  |

Set PKC parameter R^2 pointer in pkc sram.

Register | BitsName
--- | ---
CFG1 | R2_POINT

Parameters

  PKCx | PKC instance
  pointer | This parameter is the offset in pkc sram, and the value can between: 0 ~ 0x200

Return values

  None |

Definition at line 557 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_set_swmi_tmp_pointer()

__STATIC_INLINE void ll_pkc_set_swmi_tmp_pointer | ( | pkc_regs_t * | PKCx,
|  | uint32_t | pointer
| ) |  |

Set modular invertion parameter Tmp pointer in pkc sram.

Register | BitsName
--- | ---
SW_CFG6 | MIT_POINT

Parameters

  PKCx | PKC instance
  pointer | This parameter is the offset in pkc sram, and the value can between: 0 ~ 0x200

Return values

  None |

Definition at line 1855 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_set_tmp1_pointer()

__STATIC_INLINE void ll_pkc_set_tmp1_pointer | ( | pkc_regs_t * | PKCx,
|  | uint32_t | pointer
| ) |  |

Set PKC parameter Tmp1 pointer in pkc sram.

Register | BitsName
--- | ---
CFG6 | TEMP1_POINT

Parameters

  PKCx | PKC instance
  pointer | This parameter is the offset in pkc sram, and the value can between: 0 ~ 0x200

Return values

  None |

Definition at line 867 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_set_tmp2_pointer()

__STATIC_INLINE void ll_pkc_set_tmp2_pointer | ( | pkc_regs_t * | PKCx,
|  | uint32_t | pointer
| ) |  |

Set PKC parameter Tmp2 pointer in pkc sram.

Register | BitsName
--- | ---
CFG7 | TEMP2_POINT

Parameters

  PKCx | PKC instance
  pointer | This parameter is the offset in pkc sram, and the value can between: 0 ~ 0x200

Return values

  None |

Definition at line 898 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_set_tmp3_pointer()

__STATIC_INLINE void ll_pkc_set_tmp3_pointer | ( | pkc_regs_t * | PKCx,
|  | uint32_t | pointer
| ) |  |

Set PKC parameter Tmp3 pointer in pkc sram.

Register | BitsName
--- | ---
CFG7 | TEMP3_POINT

Parameters

  PKCx | PKC instance
  pointer | This parameter is the offset in pkc sram, and the value can between: 0 ~ 0x200

Return values

  None |

Definition at line 929 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_set_tmp4_pointer()

__STATIC_INLINE void ll_pkc_set_tmp4_pointer | ( | pkc_regs_t * | PKCx,
|  | uint32_t | pointer
| ) |  |

Set PKC parameter Tmp4 pointer in pkc sram.

Register | BitsName
--- | ---
CFG8 | TEMP4_POINT

Parameters

  PKCx | PKC instance
  pointer | This parameter is the offset in pkc sram, and the value can between: 0 ~ 0x200

Return values

  None |

Definition at line 960 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_set_tmp5_pointer()

__STATIC_INLINE void ll_pkc_set_tmp5_pointer | ( | pkc_regs_t * | PKCx,
|  | uint32_t | pointer
| ) |  |

Set PKC parameter Tmp5 pointer in pkc sram.

Register | BitsName
--- | ---
CFG8 | TEMP5_POINT

Parameters

  PKCx | PKC instance
  pointer | This parameter is the offset in pkc sram, and the value can between: 0 ~ 0x200

Return values

  None |

Definition at line 991 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_set_tmp6_pointer()

__STATIC_INLINE void ll_pkc_set_tmp6_pointer | ( | pkc_regs_t * | PKCx,
|  | uint32_t | pointer
| ) |  |

Set PKC parameter Tmp6 pointer in pkc sram.

Register | BitsName
--- | ---
CFG9 | TEMP6_POINT

Parameters

  PKCx | PKC instance
  pointer | This parameter is the offset in pkc sram, and the value can between: 0 ~ 0x200

Return values

  None |

Definition at line 1022 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_set_tmpk_pointer()

__STATIC_INLINE void ll_pkc_set_tmpk_pointer | ( | pkc_regs_t * | PKCx,
|  | uint32_t | pointer
| ) |  |

Set PKC parameter TmpK pointer in pkc sram.

Register | BitsName
--- | ---
CFG11 | KT_POINT

Parameters

  PKCx | PKC instance
  pointer | This parameter is the offset in pkc sram, and the value can between: 0 ~ 0x200

Return values

  None |

Definition at line 1177 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_set_x1_pointer()

__STATIC_INLINE void ll_pkc_set_x1_pointer | ( | pkc_regs_t * | PKCx,
|  | uint32_t | pointer
| ) |  |

Set PKC parameter X1 pointer in pkc sram.

Register | BitsName
--- | ---
CFG10 | X1_POINT

Parameters

  PKCx | PKC instance
  pointer | This parameter is the offset in pkc sram, and the value can between: 0 ~ 0x200

Return values

  None |

Definition at line 1084 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_set_x2_pointer()

__STATIC_INLINE void ll_pkc_set_x2_pointer | ( | pkc_regs_t * | PKCx,
|  | uint32_t | pointer
| ) |  |

Set PKC parameter X2 pointer in pkc sram.

Register | BitsName
--- | ---
CFG10 | X2_POINT

Parameters

  PKCx | PKC instance
  pointer | This parameter is the offset in pkc sram, and the value can between: 0 ~ 0x200

Return values

  None |

Definition at line 1115 of file gr55xx_ll_pkc.h.